/***************************************************************************
 *   Copyright (C) 2004 by Witold Wysota                                   *
 *   wysota@wysota.eu.org                                                  *
 *                                                                         *
 ***************************************************************************/
#include "wwclasses.h"

wwActiveLabel::wwActiveLabel(QWidget *parent, const char *name) : QLabel(parent, name) {
    m_pressed = false;
    setText("wwActiveLabel");
}


wwActiveLabel::~wwActiveLabel() {}


void wwActiveLabel::mouseDoubleClickEvent( QMouseEvent * e ) {
    if(e->button() == Qt::LeftButton)
        emit doubleClicked();
    QLabel::mouseDoubleClickEvent(e);
}


void wwActiveLabel::mousePressEvent( QMouseEvent * e ) {
    if(e->button() == Qt::LeftButton) {
        m_pressed = true;
    } else
        m_pressed = false;
    emit pressed();
}


void wwActiveLabel::mouseReleaseEvent( QMouseEvent * e ) {
    if(m_pressed && e->button() == Qt::LeftButton && hitLabel(e->pos()))
        emit clicked();
    m_pressed = false;
    emit released();

}

void wwActiveLabel::enterEvent( QEvent *e ) {
    QLabel::enterEvent(e);
    emit mouseOver();
}

void wwActiveLabel::leaveEvent( QEvent *e ) {
    QLabel::leaveEvent(e);
    emit mouseOut();
}

bool wwActiveLabel::hitLabel( const QPoint & p )
{
return rect().contains(p);
}

