/***************************************************************************
 *   Copyright (C) 2004 by Witold Wysota                                   *
 *   wysota@wysota.eu.org                                                  *
 *                                                                         *
 ***************************************************************************/
#ifndef WWCLASSES_H
#define WWCLASSES_H

#include <qlabel.h>
#include <qtimer.h>
#include <qpoint.h>

/**
 * @class wwActiveLabel
 * @brief Label with mouse click and mouse move support
 *
 *
 */
class wwActiveLabel : public QLabel
{
Q_OBJECT
public:
    wwActiveLabel(QWidget *parent = 0, const char *name = 0);    ///< default constructor
    ~wwActiveLabel();
signals:
    void doubleClicked();                                        ///< double click with LMB
    void clicked();                                              ///< single click with LMB
    void pressed();                                              ///< LMB pressed
    void released();                                             ///< LMB released
    void mouseOver();                                            ///< mouse pointer just entered the widget
    void mouseOut();                                             ///< mouse pointer just left the widget
protected:
    void mouseDoubleClickEvent ( QMouseEvent * e );
    void mousePressEvent( QMouseEvent *e);
    void mouseReleaseEvent( QMouseEvent *e);
    void enterEvent(QEvent *);
    void leaveEvent(QEvent *);
    bool hitLabel(const QPoint &p);
    bool m_pressed;
};

#endif
