#include "wwlineedit.h"

wwLineEdit::wwLineEdit(QWidget *parent, const char *name)
        : QLineEdit(parent,name), val(0,"wwLineEdit Validator") {
    setValidator(&val);
}


wwLineEdit::~wwLineEdit() {}


void wwLineEdit::setRegExp( const QString &nrx ) {
    val.setRegExp(QRegExp(nrx));
    emit regExpChanged(nrx);
}

const QString wwLineEdit::regExp( ) const {
    return val.regExp().pattern();
}

void wwLineEdit::clearValidator( ) {
    setRegExp(".*");
}

void wwLineEdit::setValidator( const QValidator * v ) {
    if(v==0)
        QLineEdit::setValidator(&val);
    else
        QLineEdit::setValidator(v);
}
