//
// C++ Interface: wwListBoxNav
//
// Description:
//
//
// Author: Witold Wysota <wysota@wysota.eu.org>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef WWLISTBOXNAV_H
#define WWLISTBOXNAV_H

#include "uinavlist.h"

/**
 * @class wwListBoxNav
 * @brief ListBox with navigation
 *
 */
class wwListBoxNav: public UINavList {
Q_OBJECT
public:
    wwListBoxNav(QWidget *parent = 0, const char *name = 0);
    const QListBox *listBox();
    const QPushButton *upButton();
    const QPushButton *downButton();
protected slots:
    virtual void onClicked(QListBoxItem*);
public slots:
    virtual void moveDown();
    virtual void moveUp();
    void insertItem(const QString & text);
    void insertItem(QListBoxItem *item);
    void removeSelected();
signals:
    void movedDown(QListBoxItem*);
    void movedUp(QListBoxItem*);
    void upClicked();
    void downClicked();
    void itemRemoved();
};

#endif
